=== added file 'bzrlib/selftest/testmerge.py'
--- bzrlib/selftest/testmerge.py	1970-01-01 00:00:00 +0000
+++ bzrlib/selftest/testmerge.py	2005-09-05 07:10:59 +0000
@@ -0,0 +1,12 @@
+from bzrlib.branch import Branch
+from bzrlib.commit import commit
+from bzrlib.selftest import TestCaseInTempDir
+from bzrlib.merge import merge
+class TestMerge(TestCaseInTempDir):
+    """Test appending more than one revision"""
+    def test_pending(self):
+        br = Branch(".", init=True)
+        commit(br, "lala!")
+        self.assertEquals(len(br.pending_merges()), 0)
+        merge(['.', -1], [None, None])
+        self.assertEquals(len(br.pending_merges()), 0)

